*--------------------------------------------------------------------------*
*   programmer:  your name                                                 *
*   class:       cis 106                                                   *
*   date:        today's date                                              *
*   lab time:    your lab section and time                                 *
*                                                                          *
*   title:       Formats                                                   *
*                                                                          *
*   synopsis: this program illustrates some additional features of         *
*   formatted output.                                                      *
*--------------------------------------------------------------------------*

	Program Formats

	Integer I, J, K

	I = -1234
	J = 20235
	K = 1028


* repetition factor
	Print 100, I, J, K
100	Format( 1X, 3I6 )


* repetition factor around a grouping ( )
	Print 101, I, J, K
101	Format( 1X, 2( I6, 4X ), I5 )


* not enough fields
	Print 102, I, J, K
102	Format( I8 )


* repeating quoted strings
	Print 103, I, J, K
103	Format(  1X, 30('-'),//, 3I10, //, 1X, 30('-') )

	End
